<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<title>Banque App</title>
	<link rel="stylesheet" type="text/css" href="bootstrap-3.3.7-dist/css/bootstrap.min.css" />
	<link rel="stylesheet" type="text/css" href="css/my.style.css" />
</head>

<body ng-app="bankApp" ng-controller="bankController">
<div class="col-md-6">
<div class="panel panel-info spacer">
<div class="panel-heading">Compte</div>
<div class="panel-body">
	<form>
		<div class="form-group">
			<label>Compte:</label>
			<input type="text" ng-model="codeCompte" />
			<button ng-click="chargerCompte()">Charger</button>
		</div>
	</form>
</div>
</div>
</div>
<div class="col-md-6">
<div class="panel panel-info spacer">
<div class="panel-heading">Etat du compte</div>
<div class="panel-body">
	<div class = "form-group">
		<label>Solde:</label>
		<label>{{compte.solde}}</label>
	</div>	
	<div class = "form-group">
		<label>Date de création:</label>
		<label>{{compte.dateCR}}</label>
	</div>
	<div ng-if="compte.taux" class="form-group">
		<label>Taux:</label>
		<label>{{compte.taux}}</label>
	</div>
	<div ng-if="compte.decouvert" class="form-group">
		<label>Découvert:</label>
		<label>{{compte.decouvert}}</label>
	</div>
</div>
</div>
</div>
<div class="col-md-6">
<div class="panel panel-info spacer">
<div class="panel-heading">Opérations</div>
<div class="panel-body">
	<form>
	<div class="form-group">
		<label>Versements:</label>
		<input type="radio" ng-model="operation.typeOp" value="versements"/>
		
		<label>Retraits:</label>
		<input type="radio" ng-model="operation.typeOp" value="retraits" />
		
		<label>Virements:</label>
		<input type="radio" ng-model="operation.typeOp" value="virements" />
	</div>
	<div class="form-group">
		<label>Montant:</label>
		<input type="text" ng-model="operation.montant" />
		<span ng-if="operation.typeOp == 'virements'">
			<label>Vers le compte:</label>
			<input type="text" ng-model="operation.compte2" />
		</span>
	</div>
	<button class="btn btn-primary" ng-click="saveOperation()">Enregistrer</button>
	</form>
</div>
</div>
</div>
<div class="col-md-6">
<div class="panel panel-info spacer">
<div class="panel-heading">Opérations du compte</div>
<div class="panel-body">
	<table class = "table table-striped">
		<thead>
			<tr>
				<th>Numéro</th><th>Date</th><th>Montant</th><th>Type</th>
			</tr>
		</thead>
		<tbody>
			<tr ng-repeat="op in pageOperations.operations">
				<td>{{op.numOp}}</td>
				<td>{{op.dateOp}}</td>
				<td>{{op.montant}}</td>
				<td>{{op.typeOp}}</td>				
			</tr>
		</tbody>
	</table>
</div>
</div>
<div class = "container spacer">
	<ul class = "nav nav-pills">
		<li class="clickable" ng-class="{active:$index==pageCourante}" ng-repeat="p in pages track by $index">
			<a ng-click="goToPage($index)">{{$index}}</a>
		</li>
	</ul>
</div>
</div>

<script type="text/javascript" src="angular-1.6.9/angular.min.js"></script>
<script type="text/javascript" src="js/my.app.js"></script>
</body>
</html>